# Mix of py2 and py3 files badly identified by RPM
%define _python_bytecompile_errors_terminate_build 0

Summary:	The Battle for Wesnoth - Fantasy turn-based strategy game
Name:		wesnoth
Version:	1.18.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Strategy
Url:		https://www.wesnoth.org

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	readline-devel
Requires:	fonts-ttf-dejavu
Requires:	lato-fonts

%description
The Battle for Wesnoth is a free, turn-based tactical strategy game
with a high fantasy theme, featuring both single-player, and online/hotseat
multiplayer combat. Fight a desperate battle to reclaim the throne
of Wesnoth, or take hand in any number of other adventures.

Battle for control of villages, using variety of units which
have advantages and disadvantages in different types of terrains and
against different types of attacks. Units gain experience and advance
levels, and are carried over from one scenario to the next campaign.

%package server
Summary:	Server for the Battle for Wesnoth game
Group:		Games/Strategy
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description server
This package contains the Battle for Wesnoth server, used to host multiplayer
games without needing to install the full client.

%package doc
Summary:	Docs for the Battle for Wesnoth game
Group:		Documentation
BuildArch: noarch

%description doc
This package contains Docs for the Battle for Wesnoth.


%prep

%build
pushd %_sourcedir
wget -nc https://www.wesnoth.org/files/%{name}-%{version}.tar.bz2
tar -xvf %{name}-%{version}.tar.bz2 -C %_builddir
popd

pushd %_builddir/%{name}-%{version}
%cmake \
	-DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
	-DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir} \
	-DENABLE_LTO=ON

%make_build
popd

%install
rm -rf %buildroot
pushd %_builddir/%{name}-%{version}
%make_install -C build
popd

touch %{buildroot}/%{_localstatedir}/run/%{name}d/socket

%find_lang %{name} --with-man
%find_lang %{name}d --with-man

# Use DejaVu and Lato font packages rather than included fonts
pushd %{buildroot}%{_gamesdatadir}/wesnoth/fonts
for font in in DejaVuSans*; do
  rm -f $font
  ln -sf %{_datadir}/fonts/TTF/dejavu/$font $font
done
for font in Lato*; do
  rm -f $font
  ln -sf %{_datadir}/fonts/lato/$font $font
done
popd

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/*.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}-icon.png
%{_gamesdatadir}/%{name}/
%{_datadir}/icons/HighContrast/scalable/apps/wesnoth-icon.svg

%files server -f %{name}d.lang
%{_gamesbindir}/%{name}d
%{_mandir}/man6/%{name}d.6*
%{_localstatedir}/run/%{name}d/socket

%files doc
%{_datadir}/doc/


%changelog
* Tue Mar 26 2024 tex - 1.18.0-1pclos2024
- new version

* Tue Dec 26 2023 tex - 1.16.11-1pclos2024
- new version

* Wed Aug 09 2023 tex - 1.16.10-1pclos2023
- new version

* Sun Dec 25 2022 tex - 1.16.6-1pclos2022
- new version

* Sat Sep 17 2022 tex - 1.16.5-3pclos2022
- rebuild against updates

* Tue Sep 13 2022 tex - 1.16.5-2pclos2022
- rebuild against updates

* Sat Sep 03 2022 tex - 1.16.5-1pclos2022
- new version

* Fri Sep 24 2021 tex - 1.14.15-1pclos2021
- new version

* Sat Jun 27 2020 ghostbunny <ghostbunny at gmx dot de> 1.14.13
- 1.14.13

* Thu Sep 26 2019 tex - 1.14.9-1pclos2019
- new version

* Tue May 14 2019 tex - 1.14.7-1pclos2019
- Version 1.14.7
